Subject: Fwd: Case/Email issues & SLAs
From: Saurabh Dadu <[email-masked]>
To: Rosette Modiri <[email-masked]>
Date: Tue, 3 Dec 2019 01:38:32 +0000

Regards,

Saurabh Dadu
LiveSalesman

Begin forwarded message:

From: Christine Giver <[email-masked]>
Date: 3 December 2019 at 1:01:58 AM IST
To: Saurabh Dadu <[email-masked]>
Cc: Mike Johnson <[email-masked]>, Debbie Tan <[email-masked]>
Subject: Case/Email issues & SLAs

Hi Saurabh,

I have been checking into cases and confirmed a continued issue that I have brought up before and was told would be addressed. This is having to do with responding to email cases.

I have seen this happening in two ways. One such as CASE1386521, is where the agent grabbed a new case and then days later still had not responded to it in any way. This was grabbed on 11/27 and it is now 12/2 and still no response from the agent. When a case is grabbed, we should be responding to the customer the same day. On this case and several others I found, we are not meeting response time for the customer.

Another issue I identified is where the customer responded to the agent and then no follow-up had occurred from there days later. CASE1385779 is an example of that. Customer responded on 11/26 so we should have sent another response by now. I was told the CSRs would check their personals every day, but it does not appear that is happening.

This is very important as, if a customer doesn’t get a response to an existing email thread, they will just email, call or chat again. First contact resolution is critical. Please make sure this is addressed immediately.

Sincerely,

Christine Giver
Customer Service Manager